Package org.eclipse.emf.cdo.server.spi.security

# Class InternalSecurityManager.CommitHandler2.WithUser

java.lang.Object
org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler2.WithUser

All Implemented Interfaces:
  `InternalSecurityManager.CommitHandler`, `InternalSecurityManager.CommitHandler2`

Enclosing interface:
  InternalSecurityManager.CommitHandler2

public abstract static class InternalSecurityManager.CommitHandler2.WithUser extends Object implements InternalSecurityManager.CommitHandler2
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler

`InternalSecurityManager.CommitHandler.Factory`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler2

`InternalSecurityManager.CommitHandler2.WithUser`

## Constructor Summary

Constructors
Constructor
Description
`WithUser()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`
Called before the commit is security checked and passed to the repository.
`void`
`handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext)`
Called after the commit has succeeded.
`protected abstract void`
`handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler

`init`

## Constructor Details

### WithUser

public WithUser()

## Method Details

### handleCommit

public void handleCommit(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)
Description copied from interface: `InternalSecurityManager.CommitHandler`
Called before the commit is security checked and passed to the repository.

Specified by:
  `handleCommit` in interface `InternalSecurityManager.CommitHandler`
  `user` - the committing user or `null` if this commit is `triggered` by the system.
See Also:
  - `InternalSecurityManager.CommitHandler2`

### handleCommitted

public void handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext)
Description copied from interface: `InternalSecurityManager.CommitHandler2`
Called after the commit has succeeded.

Specified by:
  `handleCommitted` in interface `InternalSecurityManager.CommitHandler2`

### handleCommitted

protected abstract void handleCommitted(InternalSecurityManager securityManager, IStoreAccessor.CommitContext commitContext, User user)